# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TI64Column

Packages that use TI64Column
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TI64Column in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TI64Column
Modifier and Type
Class
Description
`class`
`TI64Column`
`class`
`TI64Column`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TI64Column
Modifier and Type
Method
Description
`TI64Column`
TI64Column.`deepCopy()`
`TI64Column`
TColumn.`getI64Val()`
`TI64Column`
TI64Column.`setNulls(byte[] nulls)`
`TI64Column`
TI64Column.`setNulls(ByteBuffer nulls)`
`TI64Column`
TI64Column.`setValues(List<Long> values)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TI64Column
Modifier and Type
Method
Description
`int`
TI64Column.`compareTo(TI64Column other)`
`boolean`
TI64Column.`equals(TI64Column that)`
`static TColumn`
TColumn.`i64Val(TI64Column value)`
`void`
TColumn.`setI64Val(TI64Column value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TI64Column
Modifier
Constructor
Description
``
`TI64Column(TI64Column other)`
Performs a deep copy on other.